Debian Bug report logs - #284820
problem with tildes after using backspace

version graph

Package: wterm; Maintainer for wterm is Jeff Stevens <jeff@mossycup.com>;

Reported by: Santiago Garcia Mantinan <manty@debian.org>

Date: Wed, 8 Dec 2004 23:48:01 UTC

Severity: important

Tags: patch

Found in version 6.2.9-6.1

Fixed in version wterm/6.2.9-7

Done: Jeff Stevens <jeff@mossycup.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian Mays <brian@debian.org>:
Bug#284820; Package wterm. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
New Bug report received and forwarded. Copy sent to Brian Mays <brian@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: problem with tildes after using backspace
Date: Thu, 09 Dec 2004 00:42:22 +0100
Package: wterm
Version: 6.2.9-6.1
Severity: important

Hi!

I'm using wterm to write this bugreport, this is happening on at least one
computer that I have running sid, not in the one that is running sarge, both
are running icewm as window manager and I have unset locales on both of
them, what I see is that if I hit the backspace and then hit tilde (') and
then a vowel like e to get é, for example, what wterm does is:
- When I hit backspace last written letter is removed
- When I then hit the tilde (') which sholdn't do a thing, another letter
  gets removed
- When I hit the vowel (e on the example) one more letter is removed and
  then the é is finally written.

I can try to make more tests if you are not able to reproduce this, just
tell me so.

Regards.



Information forwarded to debian-bugs-dist@lists.debian.org, Brian Mays <brian@debian.org>:
Bug#284820; Package wterm. Full text and rfc822 format available.

Acknowledgement sent to Göran Weinholt <weinholt@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian Mays <brian@debian.org>. Full text and rfc822 format available.

Message #10 received at 284820@bugs.debian.org (full text, mbox):

From: Göran Weinholt <weinholt@debian.org>
To: 284820@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch from aterm
Date: Sat, 6 Aug 2005 02:47:44 +0200
[Message part 1 (text/plain, inline)]
tag 284820 patch
thanks

Hey,

aterm had this exact same bug and I was able to track it down to an
uninitialized variable. The attached patch fixes the bug.

Regards,

-- 
Göran Weinholt <weinholt@debian.org>
Debian developer, sysadmin, netadmin
[wterm-keysym.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Göran Weinholt <weinholt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jeff Stevens <jeff@mossycup.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Santiago Garcia Mantinan <manty@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 284820-close@bugs.debian.org (full text, mbox):

From: Jeff Stevens <jeff@mossycup.com>
To: 284820-close@bugs.debian.org
Subject: Bug#284820: fixed in wterm 6.2.9-7
Date: Wed, 09 Nov 2005 10:32:20 -0800
Source: wterm
Source-Version: 6.2.9-7

We believe that the bug you reported is fixed in the latest version of
wterm, which is due to be installed in the Debian FTP archive:

wterm-ml_6.2.9-7_i386.deb
  to pool/main/w/wterm/wterm-ml_6.2.9-7_i386.deb
wterm_6.2.9-7.diff.gz
  to pool/main/w/wterm/wterm_6.2.9-7.diff.gz
wterm_6.2.9-7.dsc
  to pool/main/w/wterm/wterm_6.2.9-7.dsc
wterm_6.2.9-7_i386.deb
  to pool/main/w/wterm/wterm_6.2.9-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 284820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeff Stevens <jeff@mossycup.com> (supplier of updated wterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  6 Nov 2005 20:04:37 -0800
Source: wterm
Binary: wterm-ml wterm
Architecture: source i386
Version: 6.2.9-7
Distribution: unstable
Urgency: low
Maintainer: Jeff Stevens <jeff@mossycup.com>
Changed-By: Jeff Stevens <jeff@mossycup.com>
Description: 
 wterm      - lightweight terminal emulator for X
 wterm-ml   - lightweight multilingual terminal emulator for X
Closes: 213209 229517 282286 284820 286323 288648 321342 327142 329286
Changes: 
 wterm (6.2.9-7) unstable; urgency=low
 .
   * New maintainer (Closes: #321342).
   * Acknowlege NMU 2.6.9-6.1 (Closes: #282286).
   * Acknowlege NMU 2.6.9-6.2 (Closes: #286323).
   * Acknowlege NMU 2.6.9.6.3 (Closes: #288648, #229517).
   * Acknowlege NMU 2.6.9.6.4 (Closes: #329286).
   * Add patch from Goran Weinholt to resolve improper key press output due
     to uninitialized variable (Closes: #284820).
   * Add patch from Adam Borowski to correct KP2 keycode in Application
     Mode (Closes: #213209).
   * Move GCC 4.0 FTBFS patch from src/grkelot.c to rules/patches for dpatch.
   * Update Policy-Version to 3.6.2 (no changes).
   * Removed extranious blank lines from wterm manpage (Closes: #327142).
   * Set priority to 20 for x-terminal-emulator binaries.  Previous priority
     of 10 was incorrect.
   * Fix linitian warnings and errors (v1.23.12):
     - Quote all unquoted strings in menu files.
     - Add lintian overrides for setgid binaries as required for utmp support.
     - Menu files install into /usr/share/menu.
     - Eliminate Bashisms in maintainer scripts.
   * Fix linda warnings and errors (v0.3.16):
     - Add linda overrides for setgid binaries as required for utmp support.
   * Overhaul package building process:
     - Rewrite rules resulting in simplification and debhelper support.
     - Reorganize files in debian/ to work elegantly with debhelper.
     - Implement dpatch.
Files: 
 c89c8cc4b6bdd4131e59b63daaefa07a 608 x11 optional wterm_6.2.9-7.dsc
 0beaeaf61fdbae3e06094ab70e58bc02 19105 x11 optional wterm_6.2.9-7.diff.gz
 92910808d106c6402601d5ac0e47b3f3 111062 x11 optional wterm_6.2.9-7_i386.deb
 f2b3500ee26b9743f773083ec82a2ef0 211354 x11 optional wterm-ml_6.2.9-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDcj2IpdwBkPlyvgMRAsDcAJ9fCZcyVGedhrPAxQV/C9/nozTv3ACfWLcj
oujSWEw+AJoetMAlcAg38iI=
=Xksh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 19:41:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:00:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.